hledger-lib-1.50.3: A library providing the core functionality of hledger

Safe Haskell | None
Language | GHC2021

Hledger.Read.CsvReader

Contents

- Reader
- Tests

Description

A reader for CSV (character-separated) data. This also reads a rules file to help interpret the CSV data.

Synopsis

- reader :: forall (m :: Type -> Type). MonadIO m => SepFormat -> Reader m
- tests_CsvReader :: TestTree

# Reader

reader :: forall (m :: Type -> Type). MonadIO m => SepFormat -> Reader m Source #

# Tests

tests_CsvReader :: TestTree Source #